> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cynopsis.co/llms.txt
> Use this file to discover all available pages before exploring further.

# requestEntityProfileReport



## OpenAPI

````yaml post /api/handshake/profile
openapi: 3.1.0
info:
  description: Api Documentation
  version: '3.0'
  title: Api Documentation
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.artemis.cynopsis.co
security: []
tags:
  - name: app-config-controller
    description: App Config Controller
  - name: asia-verify-controller
    description: Asia Verify Controller
  - name: authentication-controller
    description: Authentication Controller
  - name: authentication-manager-controller
    description: Authentication Manager Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: comment-controller
    description: Comment Controller
  - name: customer-controller
    description: Customer Controller
  - name: dashboard-controller
    description: Dashboard Controller
  - name: domain-controller
    description: Domain Controller
  - name: expiring-document-controller
    description: Expiring Document Controller
  - name: hand-shake-controller
    description: Hand Shake Controller
  - name: media-controller
    description: Media Controller
  - name: on-going-due-diligent-controller
    description: On Going Due Diligent Controller
  - name: own-restricted-list-controller
    description: Own Restricted List Controller
  - name: periodic-review-controller
    description: Periodic Review Controller
  - name: quick-scan-controller
    description: Quick Scan Controller
  - name: user-controller
    description: User Controller
paths:
  /api/handshake/profile:
    post:
      tags:
        - hand-shake-controller
      summary: requestEntityProfileReport
      operationId: requestEntityProfileReportUsingPOST
      parameters:
        - name: HandShakeAuth
          in: query
          description: HandShakeAuth
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HandShakeProfileRequestDto'
        description: request
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DataServiceProfileResponseDto'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      security:
        - OAuth2_Client_Credentials: []
        - OAuth2_Password: []
components:
  schemas:
    HandShakeProfileRequestDto:
      type: object
      required:
        - entityGuid
        - sourceShortName
      properties:
        entityGuid:
          type: string
        sourceShortName:
          type: string
      title: HandShakeProfileRequestDto
    DataServiceProfileResponseDto:
      type: object
      properties:
        crps:
          type: array
          items:
            $ref: '#/components/schemas/CRPRequestDto'
        customerDto:
          $ref: '#/components/schemas/CustomerDto'
      title: DataServiceProfileResponseDto
    CRPRequestDto:
      type: object
      required:
        - type
      properties:
        active:
          type: boolean
        forms:
          $ref: '#/components/schemas/JsonNode'
        id:
          type: integer
          format: int64
        profileId:
          type: integer
          format: int64
        profileReferenceId:
          type: string
        referenceId:
          type: string
        roles:
          type: array
          items:
            $ref: '#/components/schemas/CRPRoleRequestDto'
        type:
          type: string
          enum:
            - CORPORATE
            - INDIVIDUAL
      title: CRPRequestDto
    CustomerDto:
      type: object
      required:
        - profileReferenceId
        - type
      properties:
        active:
          type: boolean
        assigneeId:
          type: integer
          format: int64
        batchUploadId:
          type: integer
          format: int64
        forms:
          $ref: '#/components/schemas/JsonNode'
        id:
          type: integer
          format: int64
        profileId:
          type: integer
          format: int64
        profileReferenceId:
          type: string
        referenceId:
          type: string
        type:
          type: string
          enum:
            - CORPORATE
            - INDIVIDUAL
        vendorEntityGuid:
          type: string
        vendorName:
          type: string
      title: CustomerDto
    JsonNode:
      type: object
      title: JsonNode
    CRPRoleRequestDto:
      type: object
      required:
        - role
      properties:
        appointedDate:
          type: string
          format: date
        id:
          type: integer
          format: int64
        resignedDate:
          type: string
          format: date
        role:
          type: string
      title: CRPRoleRequestDto
  securitySchemes:
    OAuth2_Client_Credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}
    OAuth2_Password:
      type: oauth2
      flows:
        password:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}

````